/* /Components/Layout/MainLayout.razor.rz.scp.css */
@media (min-width: 768px) {
  .layout[b-2yddkx7vl1] {
    display: grid;
    grid-template-rows: auto 1fr;
    grid-template-areas: "nav" "main";
    height: 100vh;
  }
}

@media not (min-width: 768px) {
  .layout[b-2yddkx7vl1] {
    display: flex;
    flex-direction: column;
  }
}

nav[b-2yddkx7vl1] {
  grid-area: nav;
}

main[b-2yddkx7vl1] {
  grid-area: main;
}
/* /Components/Pages/Index.razor.rz.scp.css */
@media (min-width: 768px) {
  .view[b-96ir7ywmoq] {
    height: 100%;
    display: grid;
  }
}

@media not (min-width: 768px) {
  .view[b-96ir7ywmoq] {
    display: flex;
    flex-direction: column;
    min-width: 15em;
  }
}

.view[b-96ir7ywmoq] {
  --bs-btn-disabled-border-color: #00000000;
}
/* /Components/Pages/Project.razor.rz.scp.css */
@media (min-width: 768px) {
  .view[b-73o3464qrd] {
    height: 100%;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto 1fr;
    grid-template-areas: "project-bar" "project-view";
  }

  .project-bar[b-73o3464qrd] {
    grid-area: project-bar;
  }

  .project-view[b-73o3464qrd] {
    grid-area: project-view;
  }

  .input-outputs-view[b-73o3464qrd] {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto 1fr;
    grid-template-areas: "input-bar outputs-bar" "input-view outputs-view";
  }

  .input-outputs-view[b-73o3464qrd] {
    grid-area: input-outputs-view;
  }

  .input-bar[b-73o3464qrd] {
    grid-area: input-bar;
  }

  .input-view[b-73o3464qrd] {
    grid-area: input-view;
  }

  .outputs-bar[b-73o3464qrd] {
    grid-area: outputs-bar;
  }

  .outputs-view[b-73o3464qrd] {
    grid-area: outputs-view;
  }
}

@media not (min-width: 768px) {
  .view[b-73o3464qrd] {
    display: flex;
    flex-direction: column;
    min-width: 15em;
  }
}

.view[b-73o3464qrd] {
  --bs-btn-disabled-border-color: #00000000;
}
